Assignment Button...

Working with the Mackie Control

When you install SONAR, you also install special software that allows you to use the Mackie Control (and Mackie XT extension units) to control SONAR. You can also get the lexan overlay from Mackie to fit over the buttons in the master section. The overlay renames some of the buttons for special SONAR functionality (see The Lexan Overlay).

You can control most tracking procedures (recording, playback, automation, effects) with the Mackie Control. You can assign the Mackie Control's Function buttons to trigger eight SONAR menu commands. There are an additional eight commands already assigned to the buttons: pressing the M1 button together with a Function button triggers the command that's labeled next to the name of each button.

You can assign any parameter from any track, main bus, aux bus, or DirectX 8 effect to the eight V-pots (rotary knobs), which are fully automatable. The six Assignment buttons control what parameters the V-pots control. When you press an Assignment button once, the LCD displays a single parameter for each track, bus, or plug-in (this is Multi Channel mode). When you press an Assignment button twice, the LCD displays multiple parameters of a single track, bus, or plug-in (this is Single Channel mode).

You can also control SONAR from the Mackie Control while SONAR is minimized and you are configuring some other program, such as a soft synth or sampler program.

Here's a summary of the SONAR features you can control from the Mackie Control:

  • All automatable track/aux/main parameters (volume, pan, etc.)
  • Transport
  • Mute, solo, arm for recording, arm for automation, archive, track selection
  • Plug-in effects automation
  • Text displays (track names, parameter names/values, plug-in names and parameters names/values)
  • Display of the Now time in SMPTE or M:B:T format
  • Navigation, scrubbing, parameter adjustment (Jog wheel)
  • Keyboard navigation (arrow keys)
  • Navigation by markers
  • Inserting and moving loop and punch markers
  • Menu commands (8 assignable buttons can be assigned to key bindings)
  • Quick access to common views (Console, Piano Roll, etc.)
  • Cut, copy, paste
  • Move track banks left/right by 1 or 8
  • Most faders and buttons have secondary functions through the use of modifier buttons

Connecting and Disconnecting

You can connect the Mackie Control to your MIDI interface by using the Mackie Control's MIDI IN and MIDI OUT ports. You can add as many Mackie XT extension units as you have available ports on your MIDI interface (see To Configure an XT Unit).

To Connect the Mackie Control (or XT) to SONAR

  1. Before you turn on the Mackie Control (or XT), connect MIDI cables from its MIDI OUT port to your MIDI interface's MIDI IN port, and from its MIDI IN port to your MIDI interface's MIDI OUT port.
  2. Turn on the Mackie Control (or XT).
  3. Launch SONAR.
  4. Use the Options-Control Surfaces command to open the Control Surfaces dialog.
  5. Click the Add button [image] , which opens the Control Surface Settings dialog.
  6. In the Control Surface field, use the drop-down menu to select the Mackie Control option (if you're connecting a Mackie XT instead, select Mackie Control XT).
  7. In the Input Port field, select the MIDI port that you want the Mackie Control (or XT) to send data to SONAR through.
  8. In the Output Port field, select the MIDI port that you want the Mackie Control (or XT) to receive data from SONAR through.
  9. Click OK--the Mackie Control name appears in the Control Surfaces dialog under Connected Surfaces.
  10. Click Close.

The Mackie Control's faders should snap to the positions of your SONAR track volume settings. Move some of the Mackie Control faders and watch the SONAR volume settings change. If the settings don't change, try disconnecting the Mackie Control and then reconnecting: see below.

To Disconnect the Mackie Control from SONAR

  1. Use the Options-Control Surfaces command to open the Control Surfaces dialog.
  2. In the Control Surface column, select Mackie Control so that it is highlighted.
  3. Click the Delete button [image] .
  4. Click Close.

SONAR disconnects the Mackie Control.

The Control Surfaces Toolbar

SONAR's Control Surfaces toolbar contains a drop-down menu of all connected control surfaces, including the Mackie Control. To display the toolbar, use the View-Toolbars command to open the Toolbars dialog, and check the Control Surfaces option. The toolbar displays the currently selected group of tracks, the name of the virtual main bus that the Mackie's Master fader controls, and the Jog Wheel resolution.

Note: The toolbar is for display purposes only. To enable another control surface, use the Options-Control Surfaces command. To change the bank of tracks that the control surface controls, use the buttons on the control surface itself. Use the drop-down menu on the toolbar to choose what control surface the toolbar displays information for. Click the Properties button at the end of the toolbar to display the property page (interface) of the currently displayed control surface.

Using the Mackie Control Property Page

You can set several options in the Mackie Control property page. Once you set your options, you can save them by typing a name for them in the Presets window, and clicking the Disk icon. You can create and save as many different presets as you want.

The options include:

  • Function Buttons--you can assign each of the 8 Function buttons to a different SONAR menu command, in addition to the commands that you can trigger by pressing the M1 button and each of the buttons simultaneously.
  • Jog Wheel Resolution--you can choose by what increment you want the Now time to move when you move the Jog Wheel.
  • Transport Resolution--you can choose by what increment you want the Now time to move when you press the Rewind or Fast Fwd buttons.
  • Time Display Format--you can choose what time format the Mackie Control time display uses to display the Now time.
  • Option to Disable Fader Movements--you can stop the faders from moving to minimize noise during recording.
  • Option to Disable Relay Click--this option enables/disables the audible click for the transport buttons (play, stop, etc.).
  • Option to Disable LCD Updates--if you have a lot of parameters displayed on the LCD screen, updating can take a long time. You may choose occasionally to disable the visual updating.
  • Foot Switches--if you have any foot switches plugged into the Mackie Control, you can choose 2 different SONAR commands to trigger with them.
  • Master Fader--if you use more than one virtual main bus in SONAR, you can choose which one the Mackie master fader controls.
  • Configure Layout--if you connect one or more Mackie XT extension units, this button allows you to choose which track or bus the first fader on each unit controls. Click the button, then turn V-pot 1 on each unit to select the track that the first track strip controls, then click the button again.

See the following procedures for step-by-step instructions:

To Open the Mackie Control Property Page

  1. After you connect the Mackie Control to SONAR, make sure the Control Surfaces toolbar is visible. To display the toolbar, use the View-Toolbars command to open the Toolbars dialog, and check the Control Surfaces option.
  2. Make sure the name of the Mackie Control is displayed in the toolbar's dropdown menu of connected control surfaces.
  3. Click the Properties button [image] that is at the right end of the toolbar.

Configuring XT Units

You can connect as many XT extension units to your Mackie Control as you have ports on your MIDI interface (each unit uses a separate input and output port).

To Configure an XT Unit

  1. Connect the XT unit to SONAR (see To Connect the Mackie Control (or XT) to SONAR).
  2. Open the property page for the main Mackie Control.
  3. Click the Configure Layout button in the property page.
  4. Turn V-pot 1 on the main Mackie Control to select the tracks you want the main unit to control.
  5. Turn V-pot 1 on the Mackie XT unit to select the tracks you want the XT unit to control.
  6. In the property page, click the Press Again When Done button.

Mackie Control Buttons

Please take a moment to view the various buttons on the Mackie Control, and the lexan overly, which renames some of the buttons for SONAR functionality:

Assigning the Faders to Tracks, Aux Buses, or Virtual Main Buses

You can assign the Mackie's faders to control SONAR's tracks, aux buses, or virtual main buses:

  • To assign the faders to tracks, find the Track button in the Control Group section of buttons, and press it so that its light is on. The Assignment window displays tr when both the Track button in the Control Group section and the Tracks button in the Assignment section are depressed.
  • To assign the faders to aux buses, find the Aux button in the Control Group section of buttons, and press it so that its light is on. The Assignment window displays Au when both the Aux button in the Control Group section and the Tracks button in the Assignment section are depressed.
  • To assign the faders to virtual main buses, find the Main button in the Control Group section of buttons, and press it so that its light is on. The Assignment window displays Vm when both the Main button in the Control Group section and the Tracks button in the Assignment section are depressed.

Controlling Specific Tracks or Buses, or Specific Banks of Tracks or Buses

Use the Fader Banks buttons to choose which group of tracks or buses the Mackie Control controls (make sure the Edit button's light is off). By default, the Mackie Control's 8 faders control the first 8 tracks (or buses, if you're in Aux Bus or Main Bus mode). Whenever you change fader assignments, SONAR's Control Surfaces toolbar updates to show what tracks the Mackie Control currently controls.

  • If you have more than 8 tracks or aux buses, you can move the Mackie Control's fader assignments to the next higher-numbered or lower-numbered track or aux bus by pressing either the right Channel button or the left Channel button, respectively (the Edit button light must be off).
  • You can move fader assignments by 8 tracks (or aux buses) at a time by pressing either the right Bank button to move up by 8, or the left Bank button to move down by 8 (the Edit button light must be off).
  • You can jump to the first or last bank of tracks by holding down the M1 button while you press either the left Bank button or right Bank button, respectively.

Editing Parameters on Tracks and Buses

You can control any parameter on any track, aux bus, main bus, or DirectX 8 plug-in with the eight V-pots. The six Assignment buttons control what parameters the knobs are assigned to. When you press an Assignment button once, you put the Mackie into Multi Channel mode, which assigns one parameter on each track or bus to each V-pot. When you press an Assignment button twice, you put the Mackie into Single Channel mode, which assigns the parameters on a single track or bus to each V-pot. When you are in Single Channel mode, the Assignment window always displays a period after the two-letter display.

If a track or bus has more than eight parameters, you can display the other parameters by pressing the Edit button so that its light is on, and then pressing the Channel or Bank buttons to step through the remaining parameters. Holding down the M1 button while you press the left or right Bank button moves the knob assignments to the first or last parameter, respectively.

Pressing the Flip button once causes the faders to duplicate the V-pots' functions (the Flip button's light blinks in this mode). Pressing the Flip button twice causes the faders to exchange functions with the V-pots (the Flip button's light stays on without blinking in this mode).

Here's a description of the six Assignment buttons:

Assignment Button...
When pushed once...
When pushed twice...
Tracks, which is the upper left button in the Assignment section (when depressed, displays tr in Assignment window)
Assigns V-pots to one parameter on each track or bus, depending on which Control Group button is depressed. To display different parameters, press the Edit button so that its light is on, and then use the Channel and Bank buttons.
Displays a period after the letters in the Assignment window, and assigns V-pots to parameters on a single selected track or bus. If there are more than 8 parameters, press the Edit button so that its light is on, and then use the Channel and Bank buttons to display the other parameters.
Send, which is the upper right button in the Assignment section (when depressed, displays SE in Assignment window)
Assigns V-pots to one aux send parameter on each track. To display different parameters, press the Edit button so that its light is on, and then use the Channel and Bank buttons.
Displays a period after the letters in the Assignment window, and assigns V-pots to aux send parameters on a single selected track.
Pan (when depressed, displays Pn in Assignment window)
Assigns V-pots to pan or balance parameter on each displayed track or bus.
Displays a period after the letters in the Assignment window, and assigns V-pots to pan or bal parameter on a single selected track or bus
Plug Ins (when depressed, displays PO in Assignment window)
Assigns V-pots to one plug-in parameter on each track or bus, depending on which Control Group button is depressed. To display different parameters, press the Edit button so that its light is on, and then use the Channel and Bank buttons. To select different plug-ins on the same track, hold down M1 and press the Channel buttons.
Displays a period after the letters in the Assignment window, and assigns V-pots to parameters of a single plug-in on a selected track or bus. If there are more than 8 parameters, press the Edit button so that its light is on, and then use the Channel and Bank buttons to display the other parameters.
EQ (when depressed, displays E9 in Assignment window)
Same as Plug-ins, but only displays parameters of supported EQs
Same as Plug-ins, but only displays parameters of supported EQs; when pushed three times, displays F1 with a period, and assigns V-pots to band frequency and faders 1-8 to band gain. Holding down M1, M2, M3, or M4 assigns knobs to fine resolution, Q, gain, and band on/off, respectively.
Dyn (when depressed, displays dy in Assignment window)
Same as Plug-ins, but only displays parameters of supported Compressors
Same as Plug-ins, but only displays parameters of supported Compressors

See:

Playback, Looping, and Locating

Controlling Effects and Aux Buses

Controlling Volume, Pan, and Other Track or Bus Parameters

Automating the Mackie Control

Muting, Soloing, Arming, and Archiving Tracks

  • Each track strip has a Mute button, which mutes or unmutes the track that the strip is currently controlling. When the red light on a Mute button is lit, that particular track is muted. To unmute all tracks at once, hold down M4 and press any Mute button. To archive or unarchive a track, hold down M2 and press the track's Mute button.
  • Each track strip has a Solo button, which solos or unsolos the track that the strip is currently controlling. When the orange light on a Solo button is lit, that particular track is soloed. To unsolo all tracks at once, hold down M4 and press any Solo button. When any track is soloed, the Rude Solo light at the far right side of the Mackie LCD display flashes.
  • Each track strip has a Rec/Rdy button, which arms or disarms the track that the strip is currently controlling. When the red light on a Rec/Rdy button is lit, that particular track is armed. To disarm all tracks at once, hold down M4 and press any Rec/Rdy button.

Playback, Looping, and Locating

You control these functions with the five transport buttons (Rewind, Fast Fwd, Stop, Play, and Record); the four mode buttons (Marker, Loop, Select, and Punch); the Jog Param, Loop On/Off, and Home buttons; and the Jog Wheel.

To Play, Stop, and Rewind a File

  1. With the Mackie Control already connected, press the Play button.
  2. To stop playing the file, press the Stop button.
  3. To rewind, do any of the following:
    • Press the Rewind button enough times to jump back to the location you want. The Rewind button moves the Now time back by increments of one measure, one beat, or one tick at a time. You can set the increment in the Mackie Control property page, in the Transport Resolution field. You can also hold down the button to rewind faster.
    • Turn the Jog Wheel counter-clockwise. This moves the Now time back one measure at a time by default. In the Mackie Control property page, you can configure the Jog Wheel to move the Now time by increments of beats or ticks. You open the property page by choosing the Mackie Control in the Control Surfaces toolbar, and then clicking the Properties button that is at the right end of the toolbar.
    • To jump to the beginning of a file, press the Home button, or hold down M1 and press Rewind. To jump to the end, hold down the M1 button and press either Home or Fast Fwd.

As you play or rewind the file, the Mackie Control displays the Now time on the right side of the LCD display. You can switch the display between SMPTE and MBT (measures, beats, ticks) time by pressing the SMPTE/Beats button that's next to the Name/Value button.

To Fast Forward a File

  • Press the Fast Forward button to move the Now time forward by a measure, beat, or tick (you can set the increment in the Mackie Control property page, in the Transport Resolution field); hold the button down to move continuously;
OR
  • Spin the Jog Wheel clockwise to move the Now time forward by a measure at a time. You can configure the Jog Wheel to move the Now time in increments of measures, beats, or ticks in the Mackie Control property page.

To Jump to the Beginning or End of a File

  • To jump to the beginning of a file, press the Home button, or hold down M1 and press Rewind. To jump to the end, hold down the M1 button and press either Home or Fast Fwd.

To Store a Marker

  1. Use the Jog Wheel, the Rewind button, or the Fast Forward button to move the Now time to the place where you want to place a marker.
  2. Hold down M1, and press the Marker button. The Marker dialog appears.
  3. Put the Function buttons into Numeric Input mode by holding down M1 and pressing the Edit button (the Edit button blinks when the Function keys are in numerical entry mode).
  4. Press any of the Function keys to enter a name (number) for the marker.
  5. Press the Enter key.

The Marker dialog closes and SONAR stores your marker.

See also: Filling Out Dialog Boxes.

To Jump to a Marker

  1. Press the Marker button so that it is lit. This puts the Rewind and Fast Fwd buttons into Marker mode.
  2. Press the Rewind button to jump to the previous marker.
  3. Press the Fast Fwd button to jump to the next marker.

To Scrub a File

  1. Press the Mackie's Scrub button so that its light is lit.
  2. Move the Jog Wheel to scrub in the Track view, Piano Roll view, or Staff view.

To Turn Looping On or Off

Press the Loop On/Off button. When the light is on, looping is enabled.

To Set Loop Boundaries

  1. Move the Now time to the start or end of the desired loop region.
  2. Press the Loop button (not the Loop On/Off button) so that its light is on.
  3. While holding the M1 button down, press either the Rewind button or the Fast Fwd button to set either the Start time or End time, respectively.

To Set Loop to Selection

Hold down the M2 button and press the Loop button (not the Loop On/Off button).

SONAR sets the loop boundaries to the beginning and ending of the selected region.

To Open the Loop/Auto Shuttle Dialog

Hold down M1 and press the Loop button (not the Loop On/Off button).

See also: Filling Out Dialog Boxes.

To Jump to Loop Start and End Times

  1. Press the Loop button so that its light is on.
  2. Press either the Rewind button or the Fast Fwd button to jump to either the loop start time or loop end time, respectively.

To Jump to Punch In or Punch Out Times

  1. Press the Punch button so that its light is on.
  2. Press either the Rewind button or the Fast Fwd button to jump to either the punch in time or loop out time, respectively.

To Jump to From and Thru Times

  1. In the Transport Mode buttons section of the Mackie Control, press the Select button so that it is lit.
  2. To jump to the Thru time, press the Fast Fwd button.
  3. To jump to the From time, press the Rewind button.

Press the Select button again to restore the Transport to normal mode.

Selecting Data

Use the Select button and modifier buttons to select data for editing. You can select tracks and time ranges from the Mackie.

To Select or Deselect a Track

  1. Use the Mackie's Up or Down Arrow keys to put the focus on the track you want to select.
  2. Hold down M1 while you press the Select button (the Select button that is just above the Mackie's transport, not the individual Select buttons that are above the faders).

To Select All

Hold down M3 and press the Select button.

To Select None

Hold down M4 and press the Select button.

To Set From and Thru Times

  1. Move the Now time to where you want either the From or Thru time to be.
  2. Press the Select button so that its light is lit.
  3. Hold down the M1 button while you press either the Rewind button or the Fast Fwd button to set either the From time or Thru time, respectively.

Note: Use the Select button that's in the Transport Mode section, not one of the Select buttons that are in track strips.

To Jump to From and Thru Times

  1. In the Transport Mode buttons section of the Mackie Control, press the Select button so that it is lit.
  2. To jump to the Thru time, press the Fast Fwd button.
  3. To jump to the From time, press the Rewind button.

Press the Select button again to restore the Transport to normal mode.

Recording

Use the Record, Punch, and modifier buttons to control recording.

To Set Recording Options

  1. Hold down M2 while you press the Record button. The Recording Options dialog appears.
  2. See Filling Out Dialog Boxes.

Note: If you use loop recording, holding down M3 while you press the Undo button rejects the last loop take.

To Record a Track

  1. Make sure that the Track button in the Control Group section is lit up.
  2. Arm a track by pressing the Rec/Rdy button of the track(s) you want to arm. The button's red light turns on when the track is armed.
If you have more than 8 tracks, you can move the Mackie Control's fader assignments to the next higher-numbered or lower-numbered track by pressing either the left or right Channel button (make sure that the Edit button light is off). You can move fader assignments by 8 tracks at a time by pressing either the left or right Bank button.
  3. Move the Now time to where you want to record.
  4. Press the Record button to start recording.
  5. Press the Stop button when you're through recording.

Now you can rewind and play back your recording, using the Rewind and Play buttons. You can undo your recording by pressing the Undo button (it's in the Project section). You can disarm any armed tracks by holding the M4 button down while you press any Rec/Rdy button.

To Set Punch In/Out Points

  1. Move the Now time to the punch in or punch out time.
  2. Press the Punch button so that its red light is on.
  3. To set the Punch In time, hold down M1 and press Rewind.
  4. To set the Punch Out time, hold down M1 and press Fast Fwd.

To Set Punch to Selection

Hold down M2 and press the Punch button.

See also:

Adding, Deleting, and Cloning Tracks

Saving, Undoing, and Redoing

Controlling Effects and Aux Buses

Controlling Volume, Pan, and Other Track or Bus Parameters

Automating the Mackie Control

Adding, Deleting, and Cloning Tracks

The New Audio and New MIDI buttons in the Tracks section let you add, clone, delete, and wipe tracks in your project.

To Insert a Track

Press either the New Audio button to insert an audio track, or the New MIDI button to insert a MIDI track.

SONAR adds the new track to the bottom of the Track view.

To Delete or Wipe a Track

  1. Use the Arrow buttons to put the focus on the track you want to delete or wipe.
  2. To delete, hold down M2, and press either the New Audio button or the New MIDI button.
  3. To wipe, hold down M3, and press either the New Audio button or the New MIDI button.

To Clone a Track

  1. Use the Arrow buttons to put the focus on the track you want to clone.
  2. Hold down M1, and press either the New Audio or New MIDI button.
The Track Clone dialog appears.
  3. Use the appropriate buttons to fill out the dialog (see Filling Out Dialog Boxes).

Zooming

Use the Arrow keys and Zoom button that are next to the Jog Wheel, and the Fit Tracks and Fit Project buttons that are in the Tracks section to control zooming.

To Fit Tracks

Press the Fit Tracks button.

SONAR resizes all track heights to fit into the Track view.

To Fit the Project

Press the Fit Project button.

SONAR resizes all track heights and clips to fit into the Track view.

To Zoom Vertically or Horizontally

  1. Press the Zoom button so that its red light is lit.
  2. Press the Up and Down Arrow keys to zoom vertically, and the Left and Right Arrow keys to zoom horizontally.

Hiding and Showing Tracks

The Fit Tracks button gives you several ways to control which tracks are displayed:

  • To show all tracks--hold down M1 and press the Fit Tracks button.
  • To show only selected tracks--hold down M2 and press the Fit Tracks button.
  • To show and fit the selection--hold down M3 and press the Fit Tracks button.
  • To hide selected tracks--hold down M4 and press the Fit Tracks button.

Window Display

With the Next Win and Close Win buttons, you can jump between open windows, and minimize or close the active window:

  • To close the active window, press the Close Win button.
  • To jump between open windows, press the Next Win button.
  • To jump to the previous active window, hold down M1 and press the Next Win button

Controlling Volume, Pan, and Other Track or Bus Parameters

When the Mackie control is in Multi Channel mode, you can control basic parameters of 8 tracks or buses at the same time (more tracks if you have XT units connected). You can also control any track parameter by using the Arrow keys to highlight a SONAR control, depressing the Jog Param button so that it is lit, and moving the Jog Wheel to set the parameter's value.

When the Mackie is in Single Channel mode, you can control all the parameters of a single track or bus and view them on the LCD. By default, the V-pots at the top of each track strip control track pan, and the faders control track volume.

To Control Track or Bus Parameters in Multi Channel Mode

  1. Put the Mackie Control into Track, Aux, or Main mode by pressing the appropriate Control Group button (Track, Aux, or Main).
  2. If you have more than 8 tracks or buses, you can move the Mackie Control's fader assignments to the next higher-numbered or lower-numbered track or bus by pressing left or right Channel button (to move the assignments by one track or bus), or the left or right Bank button (to move the assignments by 8 tracks or buses). Make sure the Edit button's light is not lit
  3. Press the Track Assignment knob once so that the Assignment window displays Tr, Au, or Vm with no period.
The LCD displays one parameter for each track or bus above each V-pot.
  4. Turn the appropriate V-pot to adjust the displayed parameter. If you hold down M1 while turning, you can make fine adjustments to the parameter.
  5. To display different parameters, press the Edit light so that its light is lit, and use the Channel or Bank buttons to jump to the next or previous parameter (Channel buttons), or to jump by 8 parameters (Bank buttons).
  6. You can jump to the first or last parameter by holding down the M1 button while you press either the left Bank button or right Bank button, respectively (Edit button must be lit).

To Control Track or Bus Parameters in Single Channel Mode

  1. Put the Mackie Control into Track, Aux, or Main mode by pressing the appropriate Control Group button (Track, Aux, or Main).
  2. If you have more than 8 tracks or buses, use the Channel or Bank buttons (with the Edit button turned off) to display the correct track or bus.
  3. Press the Select button of the track or bus you want to configure.
  4. Press the Track Assignment knob twice so that the Assignment window displays Tr, Au, or Vm with a period.
The LCD displays the parameters for the track or bus you selected.
  5. Turn the V-pot of the parameter you want to set. If you hold down M1 while turning, you can make fine adjustments to the parameter
  6. If you have more than 8 parameters, press the Edit button so that its light is lit, and use the Channel or Bank buttons to display different parameters. Holding down M1 while you press the left or right Bank buttons moves the display to the first or last parameter, respectively.

To Control Volume in Main Buses

  • Use the Mackie Control's Master fader to control SONAR's main output fader.
OR
  • If your project uses more than one virtual main bus, you can assign the Mackie Control's Master fader to a different virtual main in the Mackie Control's property page.
OR
  • Put the Mackie into Virtual Main Bus mode by depressing the Main button in the Control Group section and also the Track button in the Assignment section. The Assignment window should display Vm with no period following it (if it has a period, press the Track button again). Now each fader controls a different virtual main's volume, and each V-pot controls a different virtual main's balance.

To Set Virtual Main Balance

  • While in Tracks mode, (the Assignment window must display tr), hold down M4 and move the Jog Wheel. This adjusts balance on the virtual main that is currently selected in the Mackie Control property page.
OR
  • Put the Mackie into Virtual Main Bus mode by depressing the Main button in the Control Group section and also the Tracks button in the Assignment section. The Assignment window should display Vm with no period following it (if it has a period, press the Tracks button again). Now each fader controls a different virtual main's volume, and each V-pot controls a different virtual main's balance.

See:

Playback, Looping, and Locating

Controlling Effects and Aux Buses

Automating the Mackie Control

Controlling Effects and Aux Buses

After you patch effects into SONAR's tracks or buses, you can use the Mackie Control to control Aux Send Enable/Disable, Send and Return levels, Send and Return pan, Pre/Post settings, and also set effects' parameters, as long as the effects support DirectX 8 automation.

To Set Aux Send Enable, Aux Send Level, Aux Send Pan, and Pre/Post in a Single Track

  1. With the Track Control Group button depressed, press the Select button for the track that you want to adjust.
  2. Press the Send button twice so that the Assignment window displays SE with a period.
The LCD displays the aux parameters for the track you selected.
  3. Adjust your track's Aux 1 parameters in the following ways:
    • To enable or disable the Aux 1 Send, press the track's V-pot 1 (pan knob 1).
    • To set Aux 1 Send Level, turn knob 2.
    • To set Aux 1 Send Pan, turn knob 3.
    • To set Aux 1 Send Pre/Post, press Knob 4.
  4. To set Aux 2's parameters, use knobs 5-8.
  5. If you have more than 2 aux buses, make sure the Edit button light is on, and use the Channel or Bank buttons to jump to the next parameter (Channel button), or next 8 parameters (Bank button).

To Configure Effects on One Track or Bus at a Time

  1. Put the Mackie Control into Tracks mode, Aux mode, or Main mode, depending on where the relevant effect is patched.
  2. Press the Select button for the track or bus that has the effect you want to adjust.
  3. Press the Plug Ins button twice. The Assignment window displays PO with a period.
  4. If you have more than one effect patched to the track or bus, select the effect you want to configure by pressing the Edit button so that its light is on, and hold down M1 while you press the left or right Channel button to select the previous or next plug-in. The Assignment window displays P followed by the number of the effect.
The effect's parameter names and values appear on the LCD in abbreviated form. For example, in the Cakewalk FxDelay plug-in, Vc1DlC means Voice 1 Delay Coarse.
  5. Turn the V-pot that's directly in front of the parameter you want to adjust.
  6. If your plug-in has more than 8 parameters, you can step through them one at a time by pressing the Channel buttons (make sure the Edit button's light is on), or you can jump by 8 parameters at a time by pressing the Bank buttons. You can jump to the first or last parameter by holding down the M1 button while you press either the left Bank button or right Bank button, respectively.

You can set any parameter to its default value by pressing the V-pot that controls it. If you hold down M1 while turning a V-pot, you can make fine adjustments to the parameter

To Configure Effects on Multiple Tracks or Buses

  1. Put the Mackie Control into Tracks mode, Aux mode, or Main mode, depending on where the relevant effects are patched.
  2. If you have more than 8 tracks or buses, use the Bank or Channel buttons to display the correct tracks or buses (make sure the Edit button's light is off).
  3. Press the Plug Ins button so that it is lit up. The Assignment window displays PO with no period, and the LCD displays the first parameter of the first plug-in on each track or bus. Use the V-pots to adjust the displayed parameters.
  4. To choose different parameters, press the Edit button so that its light is lit, and use the Channel and Bank buttons to jump to the next parameter (Channel buttons), or to jump by 8 parameters (Bank buttons).
  5. If you have more than one effect patched into a track or bus, you can select the next effect by holding down M1 while you press the right or left Channel button (make sure the Edit button's light is on). The Assignment window displays P followed by the number of the effect. The LCD displays the first parameter of the newly selected effect.

Configuring EQs

When you press the EQ Assignment button, the Mackie displays parameters from any EQs that are patched into your tracks or buses. The methods to display different parameters or choose different EQs that are on the same track are the same as for other plug-ins (if you have more than one EQ on a track or bus, the Assignment window displays E followed by the number of the effect). However, when you press the EQ Assignment button, there are three modes available instead of two:

  • Pressing the button once displays one EQ parameter on every track (Multi Channel mode). The Assignment window displays E# with no period.
  • Pressing the button twice displays the EQ parameters on a single selected track (Single Channel mode). The Assignment window displays E# with a period.
  • Pressing the button three times assigns the V-pots to band frequency on all the bands on a single track, and assigns the faders to control the corresponding gain on each band. The Assignment window displays F# with a period.

There are additional shortcuts when you're configuring EQs:

  • When you hold down M1, the V-pots control fine frequency.
  • When you hold down M2, the V-pots control Q. Holding down M2 and M1 lets you make fine adjustments to Q.
  • When you hold down M3, the V-pots control gain. Holding down M3 and M1 lets you make fine adjustments to gain.
  • When you hold down M4, the V-pots control band enable/disable.
  • Holding down M1 and M(2, 3, or 4), and pushing a V-pot arms the displayed parameter for automation.

Configuring Dynamics Processors

When you press the Dyn Assignment button, the Mackie displays parameters from any supported compressors, such as the Sonic Timeworks CompressorX, that are patched into your tracks or buses. The methods to display different parameters or choose different compressors that are on the same track are the same as for other plug-ins (The Assignment window displays D followed by the number of the effect).

There are additional shortcuts when you're configuring compressors:

  • When you hold down M1, the V-pots control fine adjustment.
  • When you hold down M2, M3, or M4 the V-pots control different parameters, depending on the particular compressor plug-in.
  • Holding down M1 together with M(2, 3, or 4) lets you make fine adjustments to the displayed parameter.
  • Holding down M1 and M(2, 3, or 4), and pushing a V-pot arms the displayed parameter for automation.

Automating the Mackie Control

You can arm the Mackie's volume faders, pan knobs, mute buttons, and effects parameters (if the effect supports DirectX 8 automation) for automation. You can take snapshots, return all controls to their default values, and turn Offset mode on and off.

To Enable/Disable Playback of Automation

Press the Read/Off button.

To Arm or Disarm Individual Controls

  • To arm or disarm a track's or main bus's volume control (or an aux bus's send level), hold down M1 and press the track's or bus's Rec/Rdy button.
  • To arm or disarm a track's pan control, or a main or aux bus's balance control, hold down M1 and press the track's Pan knob.
  • To arm or disarm any automatable parameter, display the parameter on the LCD, hold down M1 and press the V-pot that's assigned to that parameter.
  • To arm or disarm a track's mute control, hold down M1 and press the track's Mute button.

To Disarm All Controls

Press the Disarm button.

To Take a Snapshot

  1. Arm the controls you want to take a snapshot of.
  2. Move the Now time to where you want to take the snapshot.
  3. Press the Snapshot button.

To Record Automation

  1. Arm the controls you want to automate.
  2. Hold down M1 and press the Mackie's Record button to start recording automation.
  3. Move the armed controls.
  4. Press the Stop button to stop recording.
  5. If you're through recording automation, disarm the controls by pressing the Disarm button.

SONAR displays new envelopes in the Track view to represent the recorded automation. If you play back the file, the Mackie Control's controls move in response to the recorded automation data.

To Turn Offset Mode On or Off

Press the Offset button.

To Set All Controls to Default Values

  • To set all V-pots to default values, hold down M4 and press the Offset button.
  • To set all faders to default values, hold down M3 and press the Offset button.

See:

Playback, Looping, and Locating

Controlling Effects and Aux Buses

Controlling Volume, Pan, and Other Track or Bus Parameters

Saving, Undoing, and Redoing

Without using the keyboard or mouse, you can save your project, undo and redo edits, and use the Edit History command.

To Save Your Project

  • To use the Save command, press the Save button.
  • To use the Save As command, hold down M1 and press the Save button.

To Use the Undo, Undo History, and Reject Loop Take Commands

  • To Undo your last edit, press the Undo button.
  • To open the Undo History dialog, hold down M1 and press the Undo button (see Filling Out Dialog Boxes).
  • To reject a loop take, hold down M3 and press the Undo button.

To Redo Your Last Edit

  • Press the Redo button.

Filling Out Dialog Boxes

The Mackie Control gives you the tools you need to fill out dialog or text boxes without using the computer keyboard:

  • Use the Up and Down Arrow buttons to jump to different fields.
  • Press the Tab button, or hold down M1 and use the Left or Right Arrow buttons as tab keys.
  • Hold down M2 and use the Right Arrow key as a Spacebar or to check a checkbox.
  • Press the Back button, or hold down M2 and use the Left Arrow key as a Backspace key.
  • Hold down M1 and press the Edit button to use the Function buttons to enter numbers.
  • Use the OK/Enter button when to apply your changes.
  • Use the Cancel button to cancel or escape.
  • When the Jog Param light is lit, you can move the Jog Wheel to change the values of a text field or highlighted control.

Cakewalk
http://www.cakewalk.com
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com


Tables of All Button Functions

The following tables describe all button, V-pot, and fader functions:

Channel Strip Controls (when in Track mode)

Button or control
By itself
With M1
M2
M3
M4
Faders 1-8
track volume (tracks mode); aux bus master send level (aux mode); virtual main bus volume (main mode)

Master fader
current virtual main volume

Select
select track or bus

Mute
mute
arm mute for automation
Archive

clear all mutes
Solo
solo

clear all solos
Rec/Rdy
arm for recording
arm track or bus for automation

disarms all armed tracks

V-pots

V-pot
By itself
With M1
M2
M3
M4
When you turn a V-pot
whatever parameter is displayed
fine adjustment
shortcut to control certain effect parameters; holding down M1 and M2 makes fine adjustments to the displayed parameter.
shortcut to control certain effect parameters; holding down M1 and M3 makes fine adjustments to the displayed parameter.
shortcut to control certain effect parameters; holding down M1 and M4 makes fine adjustments to the displayed parameter.
When you push a V-pot
sets parameter to default value or toggles an on/off switch
arms or disarms displayed parameter for automation
holding down M1 and M2 while you push arms the displayed parameter.
holding down M1 and M3 while you push arms the displayed parameter.
holding down M1 and M4 while you push arms the displayed parameter.

Assignment Buttons

Button or control
Pushed once (puts controls into Multi Channel mode)
Pushed twice (Single Channel mode)
Pushed three times
Tracks
assigns V-pots to any track/aux/main parameter
same, but puts controls into Single Channel mode

Pan
V-Pots control:
in Track mode--Pan/balance
Aux mode--Send Balance
Main mode--Balance
same, but puts controls into Single Channel mode

Send
assigns V-pots to aux send parameter
same, but puts controls into Single Channel mode

Plug-ins
assigns V-pots to any Dx8 plug-in parameter
same, but puts controls into Single Channel mode

EQ
assigns V-pots to EQ parameter
same, but puts controls into Single Channel mode
assigns V-pots to EQ frequency and faders to EQ gain
Dyn
assigns V-pots to Compressor parameter
same, but puts controls into Single Channel mode

Fader Banks Buttons

Button or control
By itself
With M1
With Edit button
With M1 plus Edit
M4
Left or Right Bank
go to previous or next 8 tracks or buses
go to first or last track or bus
go to previous or next 8 parameters
go to first or last parameter

Left or Right Channel
go left or right by one channel
assign master fader to previous or next virtual main bus
go to previous or next parameter
go to previous or next plug-in

Flip
Push once to cause faders to duplicate the V-pot functions (red light blinks). Push twice to cause faders and knobs to exchange functions (red light stays on without blinking).
Changes LCD so that lower line becomes upper

Edit
allows Bank and Channel buttons to be used to assign parameters to V-pots
enables Numeric Input mode for Function keys

Display Section

Button or control
By itself
With M1
M2
M3
M4
Name/Value
Switches display between parameter name and value
toggle between track names and track numbers

toggle the disabling of LCD updates
forces an update of the current unit (the master)
SMPTE/Beats
View Big Time
opens BigTime view

forces an update of all units

Function Section

Button or control
By itself
With M1
M1 plus Edit (numeric input mode)
F1/Cut
Key binding assignment 1
Cut
Enters number 1 into text box
F2/Copy
Key binding assignment 2
Copy
Enters number 2 into text box
F3/Paste
Key binding assignment 3
Paste
Enters number 3 into text box
F4/Delete
Key binding assignment 4
Delete
Enters number 4 into text box
F5/Space
Key binding assignment 5
Space
Enters number 5 into text box
F6/Alt
Key binding assignment 6
Alt
Enters number 6 into text box
F7/Tab
Key binding assignment 7
Tab
Enters number 7 into text box
F8/Back
Key binding assignment 8
Backspace
Enters number 8 into text box

Tracks Section

Button or control
By itself
With M1
M2
M3
M4
New Audio
Insert audio track
Track-Clone
Track/Delete
Track/Wipe

New MIDI
insert MIDI track
Track-Clone
Track/Delete
Track/Wipe

Fit Tracks
fit tracks to window
show all tracks
show only selected tracks
show and fit selection
hide selected tracks
Fit Project
fit project to window

Dialog Section

Button or control
By itself
M1 plus Edit (Numeric input mode)
M2
M3
M4
OK/Enter
Enter
Enter

Cancel
Cancel
Cancel

Window Section

Button or control
By itself
M1
M2
M1 plus Edit (numeric input mode)
M1 while in numeric input mode
Next Win
Next window
Previous window
File-Info
Tab
Shift + Tab
Close Win
Close window
Backspace
Spacebar
Backspace
Spacebar

Modifiers Section

Button or control
With other buttons
M1
M2
M3
M4
M1
modifies other button functions

M2
modifies other button functions

M3
modifies other button functions

M4
modifies other button functions

Automation Section

Button or control
By itself
With M1
M2
M3
M4
Read/Off
enable/disable playback of automation
toggle faders on and off

Snapshot
automation snapshot

Disarm
disarm all automation controls
disarm all tracks (same as M4 + Rec/Rdy)

Offset
toggle between Offset and Envelope modes

Set all faders to defaults
Set all V-pots to defaults

Group Section

Button or control
By itself
With M1
M2
M3
M4
Track
assigns Mackie's faders and controls to tracks

Aux
assigns Mackie's faders and controls to aux buses

Main
assigns Mackie's faders and controls to virtual mains

Project Section

Button or control
By itself
With M1
M2
M3
M4
Save
Save
Save As

Undo
Undo
Edit-Undo History
undo zoom
reject loop take

Redo
Redo

redo zoom

Navigation Section

Button or control
By itself
With M1
M2
M3
M4
Marker
mutually exclusive
Insert-Marker
View-Markers

Loop
mutually exclusive
Transport-Loop/Auto Shuttle
Set Loop to Selection

Select
mutually exclusive
select current track
select (extend) current track
Edit-Select All
Edit-Select None
Punch
mutually exclusive
Transport-Record Options
Set Punch to Selection

Jog Parameter
allows Jog Wheel to be used for numeric input
sets jog resolution to measures
sets jog resolution to beats
sets jog resolution to ticks

Loop On/Off
toggle loop mode
Transport-Loop/Auto Shuttle

Home
Go to beginning
Go to end

Transport Section

Rewind Button

By itself
rewind
M1
go to beginning
When Marker button is depressed
Previous marker
When Loop button is depressed
go to loop start
When Punch button is depressed
go to punch in
When Select button is depressed
go to From
M1 plus Marker
insert marker
M1 plus Loop
set loop start marker to the Now time
M1 plus Select
Go to From
M1 plus Punch
Go to Punch In marker

Fast Forward

By itself
fast forward
M1
go to end
When Marker button is depressed
next marker
When Loop button is depressed
go to loop end
When Punch button is depressed
go to punch out
When Select button is depressed
go to Thru
M1 plus Marker
insert marker
M1 plus Loop
set loop end marker to the Now time
M1 plus Select
go to Thru
M1 plus Punch
go to Punch Out marker

Other Transport Buttons

Button or control
By itself
With M1
M2
M3
M4
Stop
stop
Reject Loop Take

Play
play
Transport-Run Audio

Record
record
Transport-Record Automation
Transport-Record Options

Cursor Section

Up Arrow Button

By itself
mimics computer Arrow key
M1
Page Up
M2
Home
With Zoom Button
zoom out vertically
M1 plus Zoom
scale waveforms in all tracks
M2 plus Zoom
scale waveforms in current track
M3 plus Zoom
zoom current track out vertically
M4 plus Zoom
fit tracks to window

Down Arrow Button

By itself
mimics computer Arrow key
M1
Page Down
M2
End
With Zoom Button
zoom in vertically
M1 plus Zoom
scale waveforms in all tracks
M2 plus Zoom
scale waveforms in current track
M3 plus Zoom
zoom current track in vertically
M4 plus Zoom
fit project to window

Other Cursor Buttons

Button or control
By itself
With M1
M2
With Zoom Button
M4 plus Zoom
Left Arrow
mimics computer Arrow keys
Shift + Tab
Backspace
zoom out horizontally

Right Arrow
mimics computer Arrow keys
Tab
Spacebar
zoom in horizontally
fit project to window
Zoom
When depressed, changes Arrow buttons into zoom buttons

Jog Wheel

By itself
moves the Now time; configurable in property page to measures, beats, or ticks
M1
jog in measures (minutes in SMPTE mode)
M2
jog in beats (seconds in SMPTE mode)
M3
jog in ticks (frames in SMPTE mode)
M4
set Balance of current virtual main
Scrub
scrubs audio or MIDI in current view (Track, Piano Roll, or Staff)
Jog Param
change value of current active control (as highlighted in Track view)

Cakewalk
http://www.cakewalk.com
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com